This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 470691 - debuginfo subpackages do not depend on main package
debuginfo subpackages do not depend on main package
Status: NEW
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
: FutureFeature, Reopened
: 596505 1289160 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-08 17:41 EST by Till Maas
Modified: 2016-09-23 12:17 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:01:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Till Maas 2008-11-08 17:41:20 EST
Description of problem:
The automatically generated debuginfo subpackages do not require the main package. This causes -debuginfo packages to be left behind if someone uninstalls the main package and also causes broken symlinks. This only affects packages that do not contain libraries, because dependencies on libraries are included in the debuginfo package.

Version-Release number of selected component (if applicable):
rpm-build-4.4.2.2-7.fc8

How reproducible:
always

Steps to Reproduce:
1. build a package that generates a debuginfo subpackage
2. run rpm --requires -qp on it
  
Actual results:
does not require the main package

Expected results:
should require the main package
Comment 1 Bug Zapper 2008-11-26 06:17:21 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Till Maas 2008-12-08 02:35:52 EST
Still an issue with F10 (and probably F9).
Comment 3 Christopher Beland 2008-12-13 15:59:00 EST
In my opinion, it's undesirable to have debuginfo packages require *all* of the main packages, but it would be useful if they required *at least one* to be installed (otherwise you'd get unwanted main packages when you install the debuginfo package), and that the version numbers are the same.  (I've encountered several situations where the debuginfo package has been updated before the main package, which can cause problems getting debugging symbols in the meantime.)
Comment 4 Jeff Johnson 2008-12-14 20:02:17 EST
The -debuginfo packages being left behind needs a different
upgrade model, not a "newer" EVR comparison and a Requires:
dependency, but rather automated removal of -debuginfo
when the last package built at the same time as the -debuginfo
package was built is erased.

Adding a Requires: from -debuginfo to any/all of the packages of
the set will force the -debuginfo to be upgraded with all the
other packages, usually unnecessarily because -debuginfo
packages are used differently than other packages. In the worst
case scenario, the additional Requires: in a -debuginfo will
cause upgrades to fail (if the -debuginfo upgrade is not also included).
Comment 5 Bug Zapper 2009-11-18 03:48:13 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 01:47:49 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Till Maas 2009-12-30 15:15:26 EST
still present in pam_mount-debuginfo-1.32-1.fc12.i686.rpm from Rawhide.
Comment 8 Bug Zapper 2010-03-15 08:08:29 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Milos Jakubicek 2011-02-08 04:38:38 EST
*** Bug 596505 has been marked as a duplicate of this bug. ***
Comment 10 Bug Zapper 2011-06-02 14:25:24 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2011-06-27 10:01:29 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 12 Sergio Durigan Junior 2014-04-17 01:38:00 EDT
I am reopening this bug because I believe it is the right thing to do.  My main issue is not because -debuginfo packages are left behind, but essentially because installing a -debuginfo package without having the binary install is just not productive/logical.  I have just solved a GDB bug about this (GDB was displaying a wrong hint for the user, containing a command to be run, which only installed the -debuginfo and still did not allow the user to debug the binary because there was *no* binary installed).  Anyway, is there any chance of this being fixed?
Comment 13 Panu Matilainen 2014-04-17 02:59:10 EDT
Requiring main package seems like the obvious thing to do... up to the point where a debuginfo package is blocking a security (or other important) update from getting applied. Since the debuginfo packages live in separate repositories and do not affect the actual functionality of the packages they are for, the current situation is simply the lesser of two evils.
Comment 14 Florian Festi 2015-03-20 12:41:45 EDT
There is some faint hope that we might be able to fix this with weak or boolean dependencies. Leaving this open for now. A dependency based solution will most likely require the debug-info repository being enabled, though.
Comment 15 Jan Kurik 2015-07-15 11:22:42 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 16 Ľuboš Kardoš 2016-01-19 04:38:15 EST
*** Bug 1289160 has been marked as a duplicate of this bug. ***
Comment 17 Ondrej Vasik 2016-09-23 12:17:54 EDT
Recently, another thing was mentioned - related to this issue - https://lists.fedoraproject.org/archives/list/legal@lists.fedoraproject.org/thread/V3JDB74XPJQVNWO7SJVVDYFP3AR6GQD4/ ... debuginfo doesn't depend on the main package, but doesn't contain any license information. This is an issue from legal point of view based on the statement by Richard Fontana.

Note You need to log in before you can comment on or make changes to this bug.